API Changelog: API Documentation

February 02, 2026

1 change
  • added total_pending and total_pending_minutes to /api/v2/reports/entitlement_reports endpoint

January 29, 2026

1 change
  • added /api/v2/resource_requests endpoint for managing resource allocation requests
    • supports standard CRUD operations (index, show, create, update, destroy)

October 08, 2025

1 change
  • Deprecated bulk approval actions (bulk_approve, bulk_unapprove) on /api/v2/time_entries endpoint. Use dedicated bulk operations (approve, unapprove) for improved performance and consistency.
    • Other bulk actions (create, update, destroy) will not be affected by this change.
    • bulk_approve and bulk_unapprove actions will be removed in a future version.
    • To perform bulk approval requests, use /api/v2/time_entries/approve and /api/v2/time_entries/unapprove endpoints. Include HTTP headers: Accept: application/vnd.api+json; ext=bulk and Content-Type: application/vnd.api+json; ext=bulk.
    • See time entries bulk operations documentation for more details.

September 12, 2025

1 change
  • deprecated /api/v2/project_assignments endpoint in favour of /api/v2/memberships endpoint

July 31, 2025

1 change
  • removed public_access from reports/project_reports endpoint

July 28, 2025

1 change
  • added absence_type (time_off, remote_work) to /api/v2/events, /api/v2/reports/booking_reports and /api/v2/reports/entitlement_reports endpoints
    • if absence_type is not included in POST /api/v2/events, the new event's absence_type will default to time_off
  • added scheduled_remote_work_time to the /api/v2/reports/time_reports endpoint

May 20, 2025

1 change
  • added contacts_filter_id field to /organization_memberships endpoint